WordPress.org

Ready to get started?Download WordPress

Codex

pt-br:FAQ Instalação

Fórum de Suporte WordPress.org Brasil

Contents


Instalação

O WordPress é conhecido por sua facilidade de instalação. Na maioria dos casos a instalação do WordPress leva menos de cinco minutos para ser concluída.

Você pode instalar o WordPress manualmente também usando ferramentas oferecidas pelo serviço de hospedagem.

Este FAQ contém perguntas e respostas para quando você não conseguir instalar o WordPress.

Como instalo o WordPress?

Consulte Instalando o WordPress

O que é a Famosa Instalação de 5 Minutos?

Consulte A Famosa Instalação de 5 Minutos

Onde Encontro um bom Servidor para o WordPress?

Qualquer servidor que tenha as exigências mínimas de configuração vai servir.

Como Instalo Usando CPanel /CPanel X?

Consulte cPanel_X

Como Configuro o Arquivo wp-config ?

Consulte Editando wp-config.php

Quais são Requisitos para a Instalação do WordPress?

Consulte Requisitos no WordPress.org

Como faço para usar o WordPress no meu idioma?

Consulte Instalando WordPress em seu Idioma

Preciso criar um banco de dados?

WordPress requer acesso a um banco de dados MySQL para armazenar informações. Então você precisa de um banco de dados.

Você pode criar um novo banco de dados se:

  1. Você ainda não tiver criado um no servidor
  2. Seu serviço de hospedagem lhe oferecer mais de um banco de dados e você deseja ter um banco de dados separado para o blog que está configurando.

Não é necessário criar um novo banco de dados para cada instalação do WordPress se você tiver várias no mesmo servidor.

  • Se você estiver usando o mesmo banco de dados para múltiplas instalações do WordPress, tenha cuidado de editar o arquivo wp-config.php, assegurando que cada arquivo de instalação tenha um prefixo de banco de dados único.
  • Se você estiver configurando um novo banco de dados para um novo blog, edite o arquivo wp-config.phpe tenha certeza de que possui o nome do banco e outros detalhes corretamente .

Consulte Instruções Detalhadas

O que é o Erro 403 que recebo ao tentar ver o meu site?

Sintomas: You cannot seem to login after using the right username and password, into your admin account. You get an error message like:

 HTTP Erro 403 - Proibido
 Você não está autorizado a ver esta página.
 Você pode não ter permissão para exibir este
 diretório ou página usando as credenciais
 fornecidas. Se você acha que deve ser capaz
 para ver este diretório ou página, tente
 contatar o adminsitrador site.

Solução: Se a sua conta está hospedada em um servidor Windows, pode ser um problema com os índices do diretório. A configuração padrão do servidor é carregar arquivos index.htm, index.html, default.htm, default.html e default.asp.

Contante o administrador do servidor informando sobre o problema e se necessário envie as instruções:

O Wordpress é feito em PHP, portanto, a página padrão é index.php. Isso não faz parte da configuração padrão, então temos de adicioná-la. Para fazer isso, vá em Opções de Internet no Painel de Controle. Em seguida, role para a seção Lista de Índices para adicionar arquivos index.php ao Índices de Diretório.

Posso renomear a pasta do WordPress?

Se você ainda não instalou o WordPress, você pode renomear a pasta com os arquivos do WordPress, antes, nem depois de carregar os arquivos.

Se você já instalou o WordPress e você quer mudar o nome da pasta, acesse o blog como administrador e altere as seguintes definições em Configurações > Geral:

  • Endereço WordPress (URI):
  • Endreço do Blog (URI):

Depois de ter feito isso, você pode renomear o diretório ou pasta com os arquivos do WordPress.

Consulte Movendo o WordPress

Como posso redefinir minha senha?

Consulte Redefinindo Senha and http://www.tamba2.org.uk/wordpress/phpmyadmin

Por que meu upload do diretório "C:apachehtdocswordpress"?

Quando você especificou o caminho do upload, você usou barras invertidas.

Use barras "/" para especificar o caminho para o diretório.

Posso instalar o WordPress no Windows 2000?

Não use banco de dados MySQL versão 4.1.7 se você está tentando instalar o WordPress na plataforma Windows. Leia esta postagem feita originalmente para os fóruns
"Para todos aqueles que têm problemas de instalar o WordPress em seu próprio Windows 2000 (e outras versões Win OS) - e talvez alguns servidores também: Não use o MySQL 4.1.7 - o problema Erro ao estabelecer um banco de dados conexão! é por causa de incompatibilidade. Use o MySQL 4.0.22 em vez disso. Graças à resposta por Adamant a uma postagem no fórum em 06 de novembro de 2004 02:21:29 feita por Antoine, a instalação do Wordpress realmente tornar-se apenas "cinco minutos", após dois dias de frustração:

"Comecei com o Windows 2000, PHP 4.3.9, Apache 1.3.33 e MySQL 4.1.7. Passei dois dias checando meu wp-config.php literalmente 100 vezes, fazendo alterações; testando meu banco de dados, utilizando todos os nomes conhecidos para o meu servidor (localhost, 127.0.0.1, <endereço, nome do computador, etc ..) tudo sem sucesso! Continuei recebendo:
"Erro ao estabelecer uma conexão com o banco de dados!"
Eu sabia que não era minha configuração. Assim, graças à sugestão de Adamant, desinstalei o MySQL 4.1.7, baixei e instalei o MySQL 4.0.22 do site oficial MySQL. Após instalar e configurar o novo (velho) MySQL, que demorou cerca de sete minutos (muito fácil), rodei o install.php uma vez só e pronto! Realmente levou menos de cinco minutos para a instalação do Wordpress. "

Observação: o site web Apache diz para não usar o Apache 2 em produção. Assim, depois de todo o meu tempo desperdiçado com o mais recente MySQL, sugiro o seguinte para aqueles que podem controlar o seu ambiente:

PHP 4.3.9, Apache 1.3.33 e 4.0.22 do MySQL. No Windows, pelo menos, todos eles funcionam bem juntos. "


Atualização

MySQL 4.1.7 usa um novo sistema de encriptação de senha que é incompatível com os métodos anteriores. Se você quiser fazer o WordPress funcionar com um banco de dados 4.1.7, você precisa ter certeza de sua senha de usuário é definida como uma senha no modo antigo (senha-antiga, em vez da senha, se você estiver usando mysqladmin).

Você pode forçar os sistemas de Post 4.1.7 MySQL para usar os comprimentos de senha antiga. A partir da interface da linha de comando MySQL como usuário, que pode manipular as tabelas do MySQL (mais provável que seja root ):

USE mysql;
SET PASSWORD FOR 'wordpressuser'@'localhost' = OLD_PASSWORD('somePassword444');
FLUSH PRIVILEGES;

Como os métodos de senha normal, isso resulta em usar uma nova função de estilo de senha.

Nota: As observações acima são reais do usuário, e pode ser subjetiva quanto ao seu conteúdo. Espera-se que vai ser de ajuda a alguns usuários que enfrentam os problemas específicos que são abordados por essa pergunta.

Problemas Comuns de Instalação

Vejo vários erros Headers already sent. Como conserto isso?

Provavelmente há um erro de sintaxe no arquivo wp-config.php.

  1. Faça download wp-config.php (se não tiver acesso shell ).
  2. Abra em um Editor de Texto.
  3. Veja se a primeira linha do arquivo começa com <?php, e que não tem nenhum outro caractere ou espaço antes!
  4. Veja se a última linha do arquivo tem apenas ?>, e que não tem nenhum outro caractere ou espaço depois!
  5. Se seu editor de texto salva como Unicode, certifique de optar por no byte order mark (BOM).
  6. Salve o arquivo, envie para o servidor e visite o site novamente.

Instalação Avançada

Perguntas e respostas sobre instalações e recursos especiais do WordPress.

Como faço para instalar o WordPress com os arquivos em pastas diferentes?

Isso também responde as perguntas:

  • Como posso ter meu blog em uma pasta, mas o meu index na raiz?
  • Como posso ter meu blog em www.exemplo.com, mas manter todos os arquivos em www.exemplo.com /wordpress?
  • Como faço para instalar o WordPress em um diretório diferente daquele onde reside o index.php?

Veja também:

Como posso ocultar o meu blog das pessoas?

Se você está testando uma nova versão do WordPress, a criação de um novo blog ou tem alguma outra razão para limitar o acesso, as informações a seguir podem ajudá-lo a evitar visitantes.

Apache

Não há nenhuma maneira garantida de fazer isso. Você pode usar o arquivo .htaccess (que também contém o código do link permanente) para verificar se determinados endereços IP e evitar que eles vejam o seu site. Isso só vai bloquear o endereço IP, não a pessoa, por isso, se eles têm acesso a um endereço IP permitido, podem aceder à sua página.

Um arquivo .htaccess também pode ser usado para impedir que outros façam "link direto" para suas imagens (prejudicando a velocidade do seu site) ou para configurar uma senha.

Autenticação básica Apache

Windows IIS Autenticação Básica

Para exigir uma senha, se o site está hospedado em IIS, você pode desmarcar Permitir acesso anônimo e selecionar a Autenticação Básica. Você também precisará ter um login e senha.

Veja também:

Motores de Busca: Spiders e Robôs

Os motores de busca indexam seu site e fazem cache do seu conteúdo. Se você não quiser que isso aconteça, use um arquivo chamado robots.txt. Mais detalhes:

Como posso resolver problemas de login?

See also:

FTP

FTP é um protocolo para envio de arquivos. Ele serve para ser possível enviar arquivos do WordPress - além de arquivos de Temas e Plugins - para o servidor ou serviço de hospedagem

Como envio arquivos para pastas

Se estiver instalando o WordPress, vai precisar enviar para o servidor, assim como se estiver adicionando novos Temas e Plugins.

O que é e como fazer CHMOD em arquivos?

CHMOD quer dizer change mode e se refere a mudar permissões de escrita em arquivos. Isso é necessário para impedir que pessoas não-autorizadas alterem arquivos necessários ao funcionamento do WordPress, por exemplo.

MySQL

Eu realmente preciso de MySQL?

Sim. Você certamente tem necessidade de um servidor de banco de dados MySQL para suporte ao seu blog WordPress. De fato, o WordPress suporta apenas o servidor de banco de dados MySQL. São listados os requisitos PHP e MySQL:

  • WordPress server requirements for Version 3.2+:

» Requirements for Older Versions

Posso usar um banco de dados sem ser MySQL?

Outras bases de dados não são suportados no momento.

Existem vários outros excelentes motores de banco de dados, como PostgreSQL e SQLite que o WordPress tem interesse em apoiar no futuro. Apoiar várias bases de dados é mais complicado do que parece e não está sob desenvolvimento ativo, embora haja muitas discussões de arquitetura sobre a melhor abordagem a se adotar. As abordagens para aumentar o número de bancos de dados suportados são discutidos em Using Alternative Databases(em inglês). Há um port PostgreSQL do WordPress disponíveis chamado WordPress-Pg.

Por que o WordPress usam o MySQL?

O MySQL é extremamente rápido. É também o servidor de banco de dados mais amplamente disponível no mundo tudo. Código aberto e gratuito, o MySQL] é apoiado por milhares de servidores de baixo custo Linux (e Windows!), o que significa uma barreira muito baixo para a entrada de qualquer pessoa que queira iniciar um website WordPress (ou bases de dados) . A documentaçao é útil, coerente e completa. (Nota: pode ser intimidante se você é novo em tudo isso.) Adicionamos o o fato de que os usuários são capazes de manipular diretamente MySQL com phpMyAdmin, desenvolvido especialmente para essa finalidade, e é óbvio que o MySQL é a melhor escolha. Claro, o WordPress insiste no melhor.

PHP

PHP é uma linguagem de programação para criar aplicações web. O WordPress é feito em PHP assim como vários outros sistemas e programas.

O que é phpMyAdmin?

phpMyAdmin é uma ferramenta escrita em PHP, destinado a lidar com a administração do MySQL pela Internet, ou seja, sem precisar lidar fisicamente com o computador onde estão os dados.

Consulte phpMyAdmin

Preciso saber PHP para usar o WordPress?

Não. A única vez em que você poderia modificar seu blog WordPress com PHP seria ao integrar alguns dos Plugins. Na maioria dos casos, são dadas instruções de uso claras dentro de um arquivo de texto que acompanha o plugin. Fora isso, você não precisa alterar nenhum dos arquivos PHP.

Will Wordpress run in PHP Safe Mode?

Sem dúvida! Não há problemas conhecidos com qualquer versão do WordPress, quando oPHP está sendo executado no Modo de Segurança.

Eu realmente preciso de PHP?

Você certamente necessitará de PHP (versão 4.1 ou mais recente) para seu blog WordPress. PHP é a linguagem de script que move o WordPress, e sem PHP, o servidor não será capaz de interpretar as páginas que criar o seu blog.

Como faço para descobrir qual versão do PHP tenho?

Para obter informações sobre seu servidor, você pode usar a função phpinfo(). Isso também lhe dará informações sobre o seu Apache e versão do PHP e mod_rewrite.

Importando Conteúdo

O WordPress é capaz de conveter e absorver postagens de outros sistemas de blogs. Este é um recurso muito usado por aqueles que tem um blog ou site em um serviço de blog e quer ter seu blog hospedado em um servidor exclusivo.

Por que eu sairia do meu serviço de blog

Entre os motivos principais:

  • Alguns serviços são pagos e limitam os recursos do sistema como mudar a aparência do seu site ou enviar arquivos etc.
  • O servidor é lento ou cai frequentemente. Mesmo que seu blog não tenha quase nada ainda, a página demora a carregar, isso se deve ao servidor no geral, em não ao seu site.
  • Liberdade em poder usar um perfil para escrever anonimamente, ou seja, não precisará informar seus dados verdadeiros.
  • Poder de gerar lucro e não mostrar publicidade do serviço de blog.
  • A interface é ruim ou não oferece suporte a alguma funcionalidade, por exemplo, publicar por e-mail.

Como posso importar o conteúdo de um site para o WordPress

Se o seu site possui uma estrutura de blog é provável que seja possível importar todo o conteúdo para uma instalação WordPress.

Se o seu site possui uma estrutura de arquivos - um texto/conteudo é um arquivo no servidor - será preciso outros métodos avançados para esta conversão.

Atualizando

É importante manter seu WordPress atualizado, isso garante a segurança de seu site.

Qual versão de WordPress estou usando?

Existem vários métodos para descobrir qual a versão do WordPress que está usando:

  • Em sua pasta wp-includes na sua instalação do WordPress, abra o version.php com qualquer editor de texto. Ele lhe dirá o número da versão da sua instalação.
  • No WordPress, em qualquer área de da Administraçõ, na parte inferior da tela, do lado direito, o número da versão é visível.
  • Alguns temas incluem o número da versão do modelo de rodapé.

Como atualizo o WordPress para a versão mais recente?

Consulte Atualizando o WordPress

Como faço backup do banco de dados do WordPress?

Consulte Backups no WordPress

Como restauro o banco de dados do WordPress usando o backup?

Consulte Restaurando Banco de dados a partir do Backup

Após a execução de upgrade.php recebo a mensagem "Parece que você ainda não instalou o WordPress. Execute install.php para instalar."

Depois de executar a atualização e clicar sobre o link Divirta-se, ele diz, Parece que você ainda não instalou o WordPress. Execute install.php para instalar.. O problema pode ser que não existe um usuário com recursos administrativos.

Para corrigir isso, use o phpMyAdmin para manualmente dar a um usuário esse acesso:

  1. Primeiro encontre o número ID do usuário que quiser promover administrador, procurando na tabela wp_user.
  2. Na tabela wp_usermeta, para que ID, encontre o user_id relacionado onde meta_key é wp_capabilites, mude o meta_value para a:1:{s:13:"administrator";b:1;}
  3. Na mesma tabela, para user_id, onde meta_key é wp_user_level, mude o meta_value para 10.

Note que o prefixo nessas tabelas e esses dois meta_keys utilizam o prefixo do banco de dados. Portanto, se o prefixo do banco de dados é mywp_, então as duas tabelas serão mywp_user emywp_usermeta e os dois meta_keys serão mywp_capabilities e mywp_user_level.

Como forçar uma atualização no banco de dados?

Em certas situações, pode ser necessário causar o processo de atualização do banco de dados novamente. Para isso, é preciso diminuir o valor db_version na tabela wp_options que corresponde à versão que você deseja atualizar a partir, ou seja, a atualização será para a versão seguinte. Por exemplo, se você quiser forçar a atualização que acontece do 2.0.11 para 2.3 você deve mudar a versão em db_version para 3441. Para forçar uma atualização de 2.5 para 2.8, mude o valor para 7558.

'''db_version''' para lançamentos do WordPress:
3.0.4  = 15477
3.0.3  = 15477
3.0.2  = 15477
3.0.1  = 15477
3.0    = 15260
2.9.2  = 12329
2.9.1  = 12329
2.9    = 12329
2.8.6  = 11548
2.8.5  = 11548
2.8.4  = 11548
2.8.3  = 11548
2.8.2  = 11548
2.8.1  = 11548
2.8    = 11548
2.7.1  = 9872
2.7    = 9872
2.6.5  = 8204
2.6.3  = 8204
2.6.2  = 8204
2.6.1  = 8204
2.6    = 8201
2.5.1  = 7796
2.5    = 7558
2.3.3  = 6124
2.3.2  = 6124
2.3.1  = 6124
2.3    = 6124
2.2.3  = 5183
2.2.x  = 5183
2.2    = 5183
2.1.3  = 4773
2.1.x  = 4773
2.1    = 4772
2.0.11 = 3441
2.0.x  = 3441
2.0    = 3441
1.5.x  = 2541
1.x    = 2540

Nota: Use phpMyAdmin para mudar o valor ou viste no browser o arquivo wp-admin/options.php.

Uma vez que db_version é alterado, quando for se logar, um link para atualizar o banco de dados será mostrado.

O que é a mensagem sobre atualizar o banco de dados?

Após atualizar a partir de algumas versões (geralmente as versões mariores), o WordPress pode solicitar que atualize seu banco de dados. Isso não modifica ou elimina qualquer dado do seu site.

Atualização do Banco de Dados
Atualização concluída


Preciso desativar os plugins antes de usar a opção de atualização do núcleo?

No passado, um dos procedimentos de atualização desativava todos os plugins, mas com o processo de atualização do núcleo lançado com a Versão 2.7 você não precisa desativar plugins. Aqui está uma explicação de Ryan Boren:

Durante a atualização, seu blog é colocado em modo de manutenção e todo tipo de carregamento é interrompido no início de wp-settings.php. Nada realmente é executado, incluindo plugins. A única coisa que pode ser executada é a atualização do banco de dados, que se encarrega de se certificar que nenhum plugin está sendo carregados. Você não precisa desativar plugins a não ser que goste de ativá-los novamente um por um, após atualizar, para evitar a chance de qualquer problema que possa ocorrer.

A atualização do núcleo não está funcionando, o que posso fazer?

Se a atualização do núcleo, por exemplo, atualizando de 2.7 para 2.71, não está funcionando, uma destas soluções podem ajudar:

  1. Se a atualização parece em um loop infinito e você estiver usando Memcache backend de cache de objetos, atualizar Memcache (veja Trac Ticket 8407).
  2. Se a atualização falhar devido a um suexec restritivas, em seguida, tente o FS_CHMOD_DIR e FS_CHMOD_FILE em wp-config.php para ver Trac Ticket 8478).


A documentação do WordPress em Português do Brasil.
Todas as comunidades lusófonas também são bem-vindas! Adicione {{Codex-pt}} em seus artigos.
WordCamp Belo Horizonte 2014
WordCamp é um evento com palestras, trocas de experiências sobre web e claro: o encontro de pessoas que usam o WordPress e adoram!
Visite o site do evento para saber mais